# JavaScript + JQuery

Below is an example of how to call the Email Warrant API using JavaScript + JQuery:

```javascript
// Request (GET https://api.emailwarrant.com/v1/verify.php)

jQuery.ajax({
    url: "https://api.emailwarrant.com/v1/verify.php",
    type: "GET",
    data: {
        "userID": "<USERID>",
        "apiKey": "<APIKEY>",
        "domain": "<DOMAIN>",
    },
})
.done(function(data, textStatus, jqXHR) {
    console.log("HTTP Request Succeeded: " + jqXHR.status);
    console.log(data);
})
.fail(function(jqXHR, textStatus, errorThrown) {
    console.log("HTTP Request Failed");
})
.always(function() {
    /* ... */
});



```

{% hint style="danger" %}
Call the Email Warrant API using Javascript in the browser will give away your API key and allow other to make API calls as you.
{% endhint %}

If you any issues getting set up with Email Warrant, please contact <support@emailwarrant.com>. We are always happy to help!


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emailwarrant.com/example/javascript.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
